summary refs log tree commit diff
path: root/bin/hibiki
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2020-04-29 23:37:18 +0200
committerRobert Günzler <r@gnzler.io>2020-04-29 23:37:18 +0200
commit5d5d2066094b3b71308d7839148fd0383702b766 (patch)
tree93ab8e6a74f1796969b53d6f48b868a4d017348b /bin/hibiki
parent75d4a0c03b05d0dfd83e084d8545bba0b62a25f8 (diff)
bin/hibiki/vncez: add help
Diffstat (limited to 'bin/hibiki')
-rwxr-xr-xbin/hibiki/vncez10
1 files changed, 9 insertions, 1 deletions
diff --git a/bin/hibiki/vncez b/bin/hibiki/vncez
index 021c35b..fa132f9 100755
--- a/bin/hibiki/vncez
+++ b/bin/hibiki/vncez
@@ -1,6 +1,14 @@
 #!/bin/sh
 
 set -e
+
+if [ -n "$1" ]; then
+	printf "usage: %s\n" "$(basename "$0")"
+	printf "\n"
+	printf "launches wayvnc(1), wshowkeys(1) and remmina(1)\n"
+	exit 2
+fi
+
 trap '{ pkill wshowkeys; pkill wayvnc; pkill remmina; }' EXIT
 
 echo "=> starting wshowkeys"
@@ -8,7 +16,7 @@ swaymsg exec "wshowkeys -a bottom -a left -F 'Iosevka Sparkle 25' -t 1" >/dev/nu
 echo "=> starting wayvnc"
 swaymsg exec "wayvnc 0.0.0.0 5500" >/dev/null
 echo "=> starting remmina"
-swx -g "1820,50 720x450" -b none -s -I "org.remmina.Remmina" remmina -c $HOME/.local/share/remmina/group_vnc_wayvnc_localhost-5500.remmina
+swx -g "1820,50 720x450" -b none -s -I "org.remmina.Remmina" remmina -c "$HOME"/.local/share/remmina/group_vnc_wayvnc_localhost-5500.remmina
 
 while true; do
 	sleep $((1024*1024))